#!/usr/bin/python
# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Standalone database integrity checker.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import sys
import logging
from optparse import OptionParser

import mapwoc.lib.model.integrity_check as dbcheck


def main():
    """Main."""
    parser = OptionParser()
    parser.add_option('-d', '--db', help="Database to open and check", dest="db")
    parser.add_option('-v', '--verbose', help="Be verbose", dest="verbose", action="store_true")
    parser.add_option('', '--dry', help="Only check integrity, do not repair", dest="dry", action="store_true")
    parser.add_option('-m', '--migrate', help="Only migrate the databse", dest="migrate", action="store_true")

    (options, args) = parser.parse_args()

    #logger = logging.getLogger('dbcheck')
    #if options.verbose:
    #    logger.setLevel(logging.DEBUG)
    #logger.addHandler(logging.StreamHandler())
    #dbcheck.logger = logger
    #dbcheck.be_verbose = options.verbose
    #dbcheck.do_repair = not options.dry
    if not dbcheck.check_migration(options.db, not options.dry):
        print >> sys.stderr, "Migration of %s failed!" % options.db
    if not options.migrate:
        if not dbcheck.check_db_integrity(options.db, not options.dry):
            print >> sys.stderr, "Database Integrity Check (%s) failed." % options.db

if __name__ == '__main__':
    main()
