# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Message Data Type.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import time

class Message(object):
    """Initial attempt to cover pseudo-logging."""

    LEVEL_FUNCTIONAL_LOG = 0
    LEVEL_RESULT = 100
    LEVEL_ERROR = 400

    def __init__(self, level=None, text=None, timestamp=None, heading=None):
        """
        Initializes a Message.
        @param level: Severity level.
        @param text: The message itself.
        @param timestamp: Time of occurence of event.
        @param heading: Heading.
        """
        self.level = level
        self.text = text
        if not timestamp:
            self.timestamp = time.time()
        else:
            self.timestamp = timestamp
        self.heading = heading


