# -*- coding: utf-8 -*-

# mapWOC
#
# Description: SQLAlchemy/ORM-Mapper for User Data.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
# Andre Heinecke <aheinecke@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
from sqlalchemy import Table, Column, ForeignKey, Integer, String, Text, DateTime, Boolean
from sqlalchemy.orm import relationship, mapper
from mapwocgui.model.meta import Base, metadata

from mapwoc.lib.users import UserData

# Visit Table.
user_data_table = Table('user_data', metadata,
                    Column('id', Integer, primary_key=True),
                    Column('user_name', String, nullable=False),
                    Column('e_mail', String),
                    Column('notify_on_error', Boolean),
                    Column('notify_on_success', Boolean),
                    Column('language', String),
                    Column('timezone', String))

mapper(UserData, user_data_table)
