# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Data class for an abstract Node object
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
# Andre Heinecke <aheinecke@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import ConfigParser

class Node(object):

    def __init__(self, filename=None):
        """Read information about how to connecto to a node from a keyfile."""

        if filename:
            config = ConfigParser.RawConfigParser ()
            config.read(filename)
            sections = config.sections()
            name = sections[0]
            self.name = config.get (name, 'name')
            self.key = name
            self.description = config.get (name, 'description')
            self.ip = config.get (name, 'ip')
            self.port = config.get(name, 'port')
            self.rsync_address = config.get(name, 'rsync_address')
            self.data_path = None
        else:
            self.name = ''
            self.key = self.name
            self.description = ''
            self.ip = ''
            self.port = 0
            self.rsync_address = ''
            self.data_path = None

