# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Utility-functions used in ip-communication.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechni
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

from mapwoc_json import MapWOCJSONEncoder
from trivialresponse import TrivialResponse

TR_CODE_UNKNOWN_COMMAND = 400

def json_trsuccess():
    """Returns jsonized TrivialResponse."""
    # TODO OPTIMIZE this is a static string

    return MapWOCJSONEncoder().encode(TrivialResponse())

def json_trerror(code, msg):
    """Returns a jsonized TrivialResponse."""
    # TODO OPTIMIZE single, module-wiede encoder instance would suffice
    return MapWOCJSONEncoder().encode(TrivialResponse(code, msg))

def json_tr_unknown_command():
    """Returns encoded trivial response with conventional code and message."""
    # TODO OPTIMIZE this is a static string

    response = TrivialResponse(TR_CODE_UNKNOWN_COMMAND, "Unknown Command.")
    return MapWOCJSONEncoder().encode(response)

