#!/usr/bin/python
# -*- coding: utf-8 -*-

# Description: This is the implementation of a tuple storing visit information.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt fur Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import time

class RedirectorVisit(object):
    """Simple Tuple storing that, when and to whom a redirector served an
       url.
       If time is None, the current time is stored.
    """

    def __init__(self, hcsid=None, url=None, peer=None, given_time=None):
        """Store passed values, set time to current time."""

        self.hcsid = hcsid
        self.url = url
        if given_time is None:
            self.date = time.time()
        else:
            self.date = given_time
        self.peer = peer

