# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Defintion of the TrivialResponse class
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

class TrivialResponse(object):
    """ Either success or an error-code and a specific message """

    def __init__(self, error=0, message=None):
        """Init, error == 0 (or omitted means success)."""

        self.error = error
        self.message = message
        #TODO enforce no message if error is 0
        #if error == 0 and message is not None:
        #    raise

    def getMessage(self):
        """ Returns a string representing the Response """
        if self.error:
            return self.message
        else:
            return "Success"

#TODO: getLocalizedMessage
