# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Interface to HC(-Processes).
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

from timedprocess import TimedProcess

# TODO Use HCRunException. It is currently unused because of pickle-issues.
#      (It cannot be correctly retrieved at the output end of a taskqueuepair)
#      Fix this.
class HCRunException(Exception):
    """Exception raised during execution of HCs."""

    def __init__(self, value):
        self.value = value
        self.msg = value

    def __str__(self):
        return repr(self.value)


class HCRunProcess(TimedProcess):

    def __init__(self, timeout, hc):
        """Inits a HCRunProcess."""
        TimedProcess.__init__(self, timeout)
        self.hc = hc
        self.daemon = True
        # TODO place the Queues here

    def cleanup(self):
        raise NotImplementedError()

    def run(self):
        raise NotImplementedError()

    def get_result(self):
        raise NotImplementedError()

    def stop(self):
        raise NotImplementedError()

