import logging
from StringIO import StringIO
import ConfigParser

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect

import webhelpers.paginate as paginate

from mapwocgui.lib.base import BaseController, render

import mapwocgui.model.masterproxy as master

log = logging.getLogger(__name__)

class HcController(BaseController):

    def index(self):
        # Get list of all hcs.
        hcs = master.get_hcs()
        hcs = sorted(hcs, key=lambda hc: hc.name)
        # separate the virtual hcs.
        c.virtual_hcs = [hc for hc in hcs if hc.hctype != 'native']
        # But paginate.
        c.paginator = paginate.Page(c.virtual_hcs,
                                    page=int(request.params.get('page', 1)),
                                    items_per_page=10,)
        # Separate the native hcs.
        c.native_hcs = [hc for hc in hcs if hc.hctype == 'native']
        c.native_paginator = paginate.Page(c.native_hcs,
                                           page=int(request.params.get('npage', 1)),
                                           items_per_page=10,)

        return render('hc/index_hc.mako')

    def show(self, id):
        c.hcsid = id
        c.hc = master.get_hc(id)

        # TODO proper error handing
        if c.hc is None or c.hc.on_nodes is None:
           raise

        return render('hc/show_hc.mako')
