import logging

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect

from mapwocgui.lib.base import BaseController, render
from mapwoc.lib.model.metatable import meta_table
import mapwocgui.model.masterproxy as master
from mapwocgui.model import Session

log = logging.getLogger(__name__)

class HelpController(BaseController):

    def index(self):
        c.master_version = master.get_version()
        dbinformation = meta_table.select(bind=Session.bind).execute().fetchone()
        c.db_version = dbinformation.version
        stateset = master.get_state_set()
        redirectorstate = stateset.get('redirector')
        if not redirectorstate:
            redirectorstate = {'state' : 'unreachable', 'last_urls' : [],
                               'next_urls' : ['n/a'], 'n_urls' : 0,
                               'n_urls_served' : 0, 'n_last_urls' : 0,
                               'n_next_urls' : 0,
                               'version' : 'n/a'}
        c.redirector_version = redirectorstate.get('version')
        return render('/help/index_help.mako')

