import logging

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect

import formencode

from mapwocgui.lib.base import BaseController, render

from mapwoc.lib.redirectorvisit import RedirectorVisit
import mapwocgui.model.masterproxy as master

log = logging.getLogger(__name__)

class RedirectorController(BaseController):

    def index(self):
        redirector_state = master.get_state_set().get('redirector')
        if not redirector_state:
            redirector_state = {'state' : 'unreachable', 'last_urls' : [],
                                'next_urls' : ['n/a'], 'n_urls' : 0,
                                'n_urls_served' : 0, 'n_last_urls' : 0,
                                'n_next_urls' : 0,
                                'version' : 'n/a'}

        c.redirector_state = redirector_state
        c.redirectorproxy_state = redirector_state['state']
        c.redirectorproxy_last_urls = redirector_state['last_urls']
        c.redirectorproxy_next_urls = redirector_state['next_urls']
        c.redirectorproxy_nrremaining = redirector_state['n_urls'] - redirector_state['n_urls_served']
        if redirector_state['n_urls'] == 0:
            c.redirectorproxy_percentage = 0.0
        else:
            c.redirectorproxy_percentage = int(100.0 * (
               redirector_state['n_urls_served'] / 
               float(redirector_state['n_urls'])))
        c.redirectorversion = redirector_state['version']

        return render('redirector/index_redirector.mako')

