"""Helper functions

Consists of functions to typically be used within templates, but also
available to Controllers. This module is available to templates as 'h'.
"""
# Import helpers as desired, or define your own, ie:
#from webhelpers.html.tags import checkbox, password
from webhelpers.html.tags import *
from formbuild.helpers import field
from formbuild import start_with_layout as form_start, end_with_layout as form_end
from routes import url_for
from webhelpers.pylonslib import Flash as _Flash
from authkit.permissions import ValidAuthKitUser
from authkit.authorize.pylons_adaptors import authorized
from mapwocgui.model import Session
from authkit.permissions import HasAuthKitRole
from pylons.i18n.translation import _
from pylons import request, session

from cpehelpers import os_img_for_hc, browser_img_for_hc
from resulthelpers import resultcolor, severitycolor, most_severe_resultcolor
from resulthelpers import highest_severity, result_type_to_localized_name
from mapwoc.lib.util import str_vacuum

# Instantiate Objects
is_valid_user = ValidAuthKitUser()
is_admin = HasAuthKitRole(['admin'])
flash = _Flash()
good_flash = _Flash("good_flash")

def url_back(prev = 0):
    if session.get("history") == None:
        return url_for(controller="state", action="index")
    elif session["history"].get(prev) == None:
        return url_for(controller="state", action="index")
    else:
        return session["history"][prev]

def role_for_user(user_name):
    if request.environ['authkit.users'].user_has_role(user_name, 'admin'):
        return _(u"Administrator")
    if request.environ['authkit.users'].user_has_role(user_name, 'privileged'):
        return _(u"Normal User")
    return _(u"Visitor")

def url_short(url):
    return str_vacuum(url, max_length=50)
