# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Helper functions to match severities to colors.
#
# Authors:
# Felix Wolfsteller <feilx.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

def severitycolor(severity):
    if severity < 100:
        return 'white'
    elif severity < 300:
        return 'yellow'
    else:
        return 'red'

def resultcolor(result):
    return severitycolor(result.result_type.severity)

def result_type_to_localized_name(result_type):
    #TODO
    return result_type.type_name

def most_severe_resultcolor(results):
    return severitycolor(highest_severity(results))

def highest_severity(results):
    if results:
        return max([r.result_type.severity for r in results])
    else:
        return 0
