<%inherit file="../base.mako"/>

<%def name="title()">${_(u"Change Account Settings")}</%def>

<%namespace file="../base.mako" import="box" />

%if h.authorized(h.is_valid_user):
 %if not c.changing_another:
  <% box_title=_("Change Password") %>
 %else:
  <% box_title=_(u"Change Password for '%s'") % c.user_data.user_name %>
 %endif
 <%self:box title='${box_title}'>
 ${h.form(h.url_for(controller='account', action='change_pw', id=c.user_data.user_name, method="post"))}
 %if c.changing_another:
  <input type="hidden" name="username" value="${c.user_data.user_name}"/>
 %endif
 <table>
 %if not c.changing_another:
    <tr>${h.field(_(u"Current Password")+"*", h.password(name='current'))}</tr>
 %endif
    <tr>${h.field(_(u"New Password")+"*", h.password(name='password'))}</tr>
    <tr>${h.field(_(u"Repeat New Password")+"*", h.password(name='password2'))}</tr>
    <tr>${h.field(field=h.submit(value=_(u"Change Password"), name='submit'))}</tr>
 ${h.form_end()}
 </%self:box>

 %if not c.changing_another:
   <% box_title=_(u"Change Settings") %>
 %else:
   <% box_title=_(u"Change Settings for '%s'") % c.user_data.user_name %>
 %endif

 <%self:box title='${box_title}'>
 ${h.form(h.url_for(controller='account', action='change_settings', id=c.user_data.user_name, method="post"))}
 %if c.changing_another:
  ## The admin can change all other users
  <input type="hidden" name="username" value="${c.user_data.user_name}"/>
 %endif
 <table>
    <tr>
        <td>${h.field(_(u"E-Mail"), h.text(name='mailaddress',
                value=c.e_mail or ""))}</td>
        <td/>
    </tr>
    <tr>
        <td class="label">${_(u"Prefered Language")}:</td>
        <td>
            <select id="preflang" size="1" name="preflang">
                <option ${c.selected_de} value="de">Deutsch</option>
                <option ${c.selected_en} value="en">English</option>
            </select>
        </td>
    <tr>
        <td class="label" valign="top">${_(u"Send notifications")}:</td>
        <td>${h.checkbox(id="notify_on_error", name="notify_on_error",
                checked=c.notify_on_error)}
            ${_(u"about problems")}
            <br>
            ${h.checkbox(id="notify_on_success", name="notify_on_success",
                checked=c.notify_on_success)}
            ${_(u"when a scan finishes")}
	</td>
    </tr>
    %if c.changing_another:
    <tr>
        <td class="label">${_(u"Access Rights:")}</td>
        <td>
            <select id="privileges" size="1" name="privileges">
                <option ${c.selected_admin} value="admin">${_(u"Administrator")}</option>
                <option ${c.selected_privileged} value="privileged">${_(u"Normal User")}</option>
                <option ${c.selected_none} value="none">${_(u"Guest")}</option>
            </select>
        </td>
    </tr>
    %endif
    ${h.field(field=h.submit(value=_(u"Change Settings"), name='submit'))}
 </table>
 ${h.form_end()}
 </%self:box>
%else:
 <%self:box title='${_(u"Not logged in")}'>
    ${_(u"Please login first")}
 </%self:box>
%endif
