<%def name="title()">Base Mako</%def>

<%def name="box_start(frame_title)">
<div class="framebody">
<div class="frametitle">${frame_title}</div>
</%def>

<%def name="box_end()">
</div>
<br />
</%def>

<%doc>
This is a box with content.
</%doc>
<%def name="box(title)">
 ${box_start(title)}
 ${caller.body()}
 ${box_end()}
</%def>

<%def name="start_content_column50()">
<div class="content_column50">
</%def>

<%def name="end_content_column50()">
</div>
</%def>

<%def name="column50()">
  ${start_content_column50()}
  ${caller.body()}
  ${end_content_column50()}
</%def>

<%def name="start_columnsection()">
<div class="left_indent8">
</%def>

<%def name="end_columnsection()">
</div>
</%def>

<%def name="start_leftindent_hl_list()">
<div id="highlight_list">
</%def>

<%def name="end_leftindent_hl_list()">
</div>
</%def>

<%def name="columnsection_dashed()">
  ${start_columnsection()}
  ${start_leftindent_hl_list()}
  ${caller.body()}
  ${end_leftindent_hl_list()}
  ${end_columnsection()}
</%def>

<%def name="columnsection()">
  ${start_columnsection()}
  ${caller.body()}
  ${end_columnsection()}
</%def>

<%def name="name_link_to_node(nodename)">
${h.link_to(nodename, h.url_for(controller='node',action='view',id=nodename))}</%def>

<%def name="name_link_to_urllist(urllist)">
${h.link_to(urllist.name, h.url_for(controller='urllist',action='view',id=urllist.id))}</%def>

<%def name="hcsid_link_to_hcsid(hcsid)">
${h.link_to(hcsid, h.url_for(controller='hc',action='show',id=hcsid))}</%def>

<%def name="cut_str(text, length)">
    %if len(text) > length:
        ${text[:length-3] + "..."}
    %else:
        ${text}
    %endif
</%def>

<%def name="hc_icon(hc)">
<div id="os_browser_icon">
  <img src=${h.os_img_for_hc(hc)}/>
  <img class="browser" src=${h.browser_img_for_hc(hc)} alt="" />
</div>
</%def>

<%def name="hcsid_icon(hcsid)">
<div id="os_browser_icon">
  <img src=${h.os_img_for_hcsid(hcsid)}/>
  <img class="browser" src=${h.browser_img_for_hcsid(hcsid)} alt="" />
</div>
</%def>

<%def name="node_menu_style()"></%def>
<%def name="hc_menu_style()"></%def>
<%def name="redirector_menu_style()"></%def>
<%def name="state_menu_style()"></%def>
<%def name="scan_menu_style()"></%def>
<%def name="urllist_menu_style()"></%def>
<%def name="result_menu_style()"></%def>
<%def name="users_menu_style()"></%def>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  ${h.stylesheet_link(h.url_for('/style.css'))}
  <title>mapWOC - ${self.title()}</title>
</head>
<body>
  <div class="wrapper">
  <div class="header">
    <a href=""><img src="/img/logo.png" title="mapwoc-logo" alt="logo of mapwoc" class="logo"/></a>
    <div id="language_menu">
        <div id="english_button">
          <a href="${h.url_for(controller='account',action='set_lang',id='en')}" title="English"></a>
        </div>
        <div id="german_button">
          <a href="${h.url_for(controller='account',action='set_lang',id='de')}" title="German"></a>
        </div>
     </div> <!-- /language_menu -->
     <div class="login_information">
       <div class="user_icon"></div>
       <div id="logout_button">
         <a href="${h.url_for(controller='account', action='signout')}" title="Logout"></a>
       </div>
       % if h.authorized(h.is_valid_user):
           <div id="settings_button">
             <a href="${h.url_for(controller='account', action='settings',
                         id=request.environ['REMOTE_USER'])}" title="Settings"></a>
           </div>
           <b>${request.environ['REMOTE_USER']}</b>
           ${h.role_for_user(request.environ['REMOTE_USER'])}
       % else:
           <b>${_(u"Not logged in")}</b>
       % endif
     </div> <!-- /login_information -->
  </div> <!-- /header -->
  <br clear="all" />

  <div id="left">
    <div id="menu">
      <ul>
        <li ${self.state_menu_style()}><img src="/img/state.png" alt="" />
            ${h.link_to(_(u"State"), h.url_for(controller='state',action='index'))}</li>
        <li ${self.urllist_menu_style()}><img src="/img/urllist.png" alt="" />
            ${h.link_to(_(u"URL Lists"), h.url_for(controller='urllist',action='index'))}</li>
        <li ${self.scan_menu_style()}><img src="/img/scans.png" alt="" />
            ${h.link_to(_(u"Scans"), h.url_for(controller='scan',action='index'))}</li>
        <li ${self.result_menu_style()}><img src="/img/results.png" alt="" />
            ${h.link_to(_(u"Results"), h.url_for(controller='result',action='index'))}</li>
        <li ${self.hc_menu_style()}><img src="/img/honey.png" alt="" />
            ${h.link_to(_(u"HoneyClients"), h.url_for(controller='hc',action='index'))}</li>
        <li ${self.node_menu_style()}><img src="/img/nodes.png" alt="" />
            ${h.link_to(_(u"Nodes"), h.url_for(controller='node',action='index'))}</li>
        <li ${self.redirector_menu_style()}><img src="/img/redirector.png" alt="" />
            ${h.link_to("Redirector", h.url_for(controller='redirector',action='index'))}</li>
        %if h.authorized(h.is_admin):
        <li ${self.users_menu_style()}><img src="/img/users.png" alt="" />
            ${h.link_to(_(u"Manage Users"), h.url_for(controller='account',action='manage'))}</li>
        %endif
        <li class="last"></li>
      </ul>
    </div>
    <br clear="all"/>
    <br/>
    <div class="help">
      <a href="${h.url_for(controller='help',action='index')}"><img src="/img/help.png" alt="" />${_("Help")}</a>
    </div>
  </div><!-- /left -->

  <div id="right">
    <div class="messages_header">
      ${_(u"Messages")}
    </div>
    <div class="messages">
    <!--  <div class="message_panic">
        <a href="" class="delete" title="delete message"></a>
        <b>Panic</b><br />
        Panic text
      </div>
      <div class="message_warning">
        <a href="" class="delete" title="delete message"></a>
        <b>Warning</b><br />
        Warning text
      </div>
      <div class="message_notice">
        <a href="" class="delete" title="delete message"></a>
        <b>Notice</b><br />
        Notice text
      </div>-->
      %if h.authorized(h.is_valid_user):
        %if not c.messages:
        <div class="message_notice">
          <a href="" class="delete" title="delete message"></a>
          <b>${_(u"No Messages yet")}</b><br />
        </div>
        %endif
        %for m in c.messages:
          %if m.level == 0:
            <div class="message_notice">
          %elif m.level == 100:
            <div class="message_warning">
          %else:
            <div class="message_panic">
          %endif
          <a href="${h.url_for(controller='messages',action='index')}" class="delete" title="delete message"></a>
          <b>${m.heading}</b><br />
          <%
          import datetime
          timestamp = datetime.datetime.fromtimestamp(float(m.timestamp))
          context.write(timestamp.strftime(_("%b %d %H:%M:%S")))
          %>
          ${m.text}
          </div>
        %endfor
      %else:
        <div class="message_notice">
          <a href="" class="delete" title="delete message"></a>
          <b>${_(u"Please login to view Messages")}</b><br />
        </div>
      %endif
    </div>
    <div class="messages_buttons">
     <a href="${h.url_for(controller='messages',action='index')}" class="view_archive" title="view archive">${_(u"Archive")}</a>
     <a href="${h.url_for(controller='messages',action='index')}" class="remove_all" title="remove all"></a>
     <a href="${h.url_for(controller='messages',action='index')}" class="configure_notifications" title="configure notifications"></a>
    </div>
  </div> <!-- /right -->

  <div id="content">
    <% messages = h.flash.pop_messages() %>
    %if messages:
      <div class="error_message">
         <img src="/img/error.png" alt="" />
         <b>${_(u"Error!")}</b><br />
        <!-- <ul id="flash-header"> -->
          ${messages.pop(0)}
        <!-- </ul> -->
        <ul id="flash-messages">
        % for message in messages:
            <li>${message}</li>
        % endfor
        </ul>
      </div><!-- /error_message -->
      <br />
    %endif

    <% messages = h.good_flash.pop_messages() %>
    %if messages:
      <div class="success_message">
         <img src="/img/state.png" alt="" />
         <b>${_(u"Success!")}</b><br />
        <!-- <ul id="flash-header"> -->
          ${messages.pop(0)}
        <!-- </ul> -->
        <ul id="flash-messages">
        % for message in messages:
            <li>${message}</li>
        % endfor
        </ul>
      </div><!-- /success_message -->
      <br />
    %endif
    ${next.body()}
  </div><!-- /content -->
  <br clear="all" />
  </div><!-- /wrapper -->
  <div class="footer">
     mapwoc &copy; 2011,2012 BSI
  </div><!-- /footer -->
</body>
</html>

