<%inherit file="../base.mako"/>
<%def name="title()">${_(u"List of Results by file")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%def name="resultrow(result)">
  <tr>
    <td>${result.visit.hcsid}</td>
    <td>${result.result_type.type_name}</td>
    <td style="background-color:{h.severitycolor(result.result_type.severity)}">
           ${result.result_type.severity}
    </td>
    <td>${h.link_to(result.date.strftime(_('%Y-%m-%d %H:%M:%S')), h.url_for(controller='result', action='view_result', id=result.id))}</td>
    <td>
    %if result.visit.scan_run.scanconfiguration:
        ${result.visit.scan_run.scanconfiguration.name}
    %else:
        ${_(u"Deleted")}
    %endif
    </td>
    <td>
       ${", ".join(url.url for url in result.visit.urls)}
    </td>
  </tr>
</%def>

<%self:box title='${_(u"Results")}'>
 <h3>${_(u"Results for file")}</h3>
  <%util:ifpaginate paginator='${c.result_paginator}'>
    <table class="mw_table" style="width:100%">
     <tr>
      <th>${_(u"HoneyClient")}</th>
      <th>${_(u"Result")}</th>
      <th>${_(u"Severity")}</th>
      <th>${_(u"Time of Visit")}</th>
      <th>${_(u"Scan")}</th>
      <th>${_(u"Visit URL(s)")}</th>
     </tr>
    %for result in c.result_paginator:
     <%self:resultrow result='${result}' />
    %endfor
    </table>
    <%def name="empty()">
     ${_(u"No results for this file (error).")}
    </%def>
  </%util:ifpaginate>
 
 <h3>${_(u"Results for similar files ('same url')")}</h3>
  <%util:ifpaginate paginator='${c.sim_result_paginator}'>
    <table class="mw_table" style="width:100%">
     <tr>
      <th>${_(u"HoneyClient")}</th>
      <th>${_(u"Result")}</th>
      <th>${_(u"Severity")}</th>
      <th>${_(u"Time of Visit")}</th>
      <th>${_(u"Scan")}</th>
      <th>${_(u"Visit URL(s)")}</th>
     </tr>
    %for result in c.sim_result_paginator:
     <%self:resultrow result='${result}' />
    %endfor
    </table>
    <%def name="empty()">
     ${_(u"No results for this file (error).")}
    </%def>
  </%util:ifpaginate>

 <h3>${_(u"Results for similar files ('same sha1sum')")}</h3>
  <%util:ifpaginate paginator='${c.sha1sum_result_paginator}'>
    <table class="mw_table" style="width:100%">
     <tr>
      <th>${_(u"HoneyClient")}</th>
      <th>${_(u"Result")}</th>
      <th>${_(u"Severity")}</th>
      <th>${_(u"Time of Visit")}</th>
      <th>${_(u"Scan")}</th>
      <th>${_(u"Visit URL(s)")}</th>
     </tr>
    %for result in c.sha1sum_result_paginator:
     <%self:resultrow result='${result}' />
    %endfor
    </table>
    <%def name="empty()">
     ${_(u"No results for this file (error).")}
    </%def>
  </%util:ifpaginate>
 <h3>${_(u"Results for similar files ('by ssdeep')")}</h3>
  ${_("Not yet implemented.")}
</%self:box>

