<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View a Result")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hc_icon" />

<%namespace name="util" file="../util.mako" import="screendump" />


<%self:box title="${_('Single Finding Details - General')}">
 <table>
  <tr>
    <td class="label">${_(u"Visit of URL(s)")}:</td>
    <td>
       %if len(c.visit.urls):
        ${", ".join([url.url for url in c.result.visit.urls])}
       %else:
        ${_("n/a (error)")}
       %endif
        %if c.result.visit.scan_run.scanconfiguration:
           %if c.result.visit.scan_run.scanconfiguration.visitor_configuration.num_urls > 1:
             <br />${_(u"(Fast Mode)")}
           %endif
        %endif
     </td>
  </tr>
  <tr>
    <td class="label">${_(u"Time")}:</td>
    <td>
    <%
      from time import ctime
      context.write(c.result.date.strftime(_("%d.%m.%Y - %H:%M:%S")))
    %>
    </td>
  </tr>
  <tr>
    <td class="label" valign="top">${_(u"HoneyClient")}:</td>
    <td>
      %if c.hc:
        ${hc_icon(c.hc)}
        &nbsp;
        ${h.link_to(c.hc.name, h.url_for(controller='hc',action='show', id=c.hc.hcsid))}
      %else:
        ${c.visit.hcsid} -
        ${_("No information about HoneyClient found (error).")}
      %endif
    </td>
  </tr>
  <tr>
    <td class="label">${_(u"Type")}:</td>
    <td>${c.result.result_type.type_name}</td>
  </tr>
  <tr>
    <td class="label">${_(u"Severity")}:</td>
    <td style="background-color:${h.resultcolor(c.result)}">${c.result.result_type.severity}</td>
  </tr>
  <!--<tr>
    <td class="label">${_(u"Method")}:</td>
    <td>${c.result.method}</td>
  </tr>-->
  %if c.visit.outgoing_ip:
  <tr>
    <td class="label">${_(u"Outgoing IP")}:</td>
    <td>${c.visit.outgoing_ip}</td>
  </tr>
  %endif
  %if len(c.result.visit.urls):
  <!-- can be 0 for manual scan -->
  <tr>
    <td class="label"></td>
    <td><%util:screendump urlid="${c.result.visit.urls[0].id}" hcsid="${c.hc.hcsid}"/></td>
  </tr>
  %endif
 </table>
</%self:box>

<%self:box title="${_(u'Result Details - General')}">
 <h3>${_(u"Text")}</h3>
 %if c.result.text:
  ${c.result.text}
 %else:
  ${_(u"No further information.")}
 %endif
 <h3>${_(u"URL")}</h3>
  ${c.result.url}
 %if c.result.ip:
  <h3>${_(u"IP")}</h3>
  ${c.result.ip}
 %endif
 %if c.result.iframe:
  <h3>${_(u"iFrame")}</h3>
  ${c.result.iframe}
 %endif
 %if c.result.result_file:
  <h3>${_(u"File")}</h3>
  <table>
    <tr>
        <td class="label">${_("Filetype")}:</td>
        <td>${c.result.result_file.filetype}</td>
    </tr>
    <tr>
        <td class="label">${_("MIME-Type")}:</td>
        <td>${c.result.result_file.mimetype}</td>
    </tr>
    <tr>
        <td class="label">${_(u"SHA1")}:</td>
        <td>${c.result.result_file.sha1sum}</td>
    </tr>
    <tr>
        <td class="label">${_(u"SSDEEP")}:</td>
        <td>${c.result.result_file.ssdeep}</td>
    </tr>
    <tr>
        <td class="label">${_(u"Extract Name")}:</td>
        <td> ${c.result.result_file.filepath.rsplit("/",1)[1]} </td>
    </tr>
  </table>
 ${h.link_to(_(u"See all findings for this file"),
    h.url_for(controller='result',action='by_file', id=c.result.result_file.id)) }
 %endif
</%self:box>

<%self:box title="${_(u'Actions')}">
<ul>
    <li>
        ${h.link_to(_(u"See all findings of this visit"),
            h.url_for(controller='result',action='view_visit',
            id=c.result.visit.id)) }
    </li>
    %if c.result.visit.filepath:
        <li>
         ${h.link_to(_(u"Download PCAP"),
             h.url_for(controller='result',action='send_dump',
             id=c.result.visit.id))}
        </li>
        <li>
            ${h.link_to(_(u"Download Tarball"),
                h.url_for(controller='result',action='send_tarball',
                id=c.result.visit.id))}
        </li>
    %endif
</ul>
</%self:box>
