<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View a Visit")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hc_icon" />
<%namespace file="../base.mako" import="name_link_to_node" />
<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%self:box title="${_('Visit Summary')}">
 <table>
  <tr>
   %if len(c.visit.urls) > 1:
    <td class="label">${_(u"URLs visited")}:</td>
    <td>
       ${h.link_to(c.visit.urls[0].url,h.url_for(controller='url', action='view', id=c.visit.urls[0].id))}
       %for url in c.visit.urls[1:]:
        ,${h.link_to(url.url,h.url_for(controller='url', action='view', id=url.id))}
       %endfor
       %if c.sc.visitor_configuration.num_urls > 1:
         <br/>${_(u"(Fast Mode!)")}
       %endif
    </td>
   %else:
    <td class="label">${_(u"URL")}:</td>
    <td>
       %if len(c.visit.urls):
        ${h.link_to(c.visit.urls[0].url,h.url_for(controller='url',action='view', id=c.visit.urls[0].id))}
       %else:
        ${_("n/a (error)")}
       %endif
    </td>
   %endif
  </tr>
  <tr>
    <td class="label">${_(u"Time")}:</td>
    <td>${c.firstDate}</td>
  </tr>
  <tr>
    <td class="label" valign="top">${_(u"HoneyClient")}:</td>
    <td>
      %if not c.hc:
          ${c.visit.hcsid}
      %else:
          ${hc_icon(c.hc)}
          &nbsp;
          ${h.link_to(c.hc.name, h.url_for(controller='hc',action='show', id=c.hc.hcsid))}
      %endif
    </td>
  </tr>
  <tr>
    <td class="label">${_(u"Types Found")}:</td>
    <td>
      ${", ".join([rtype.type_name for rtype in c.types_found])}
    </td></tr>
  <tr>
    <td class="label">${_(u"Highest Severity")}:</td>
    <td style="background-color:${h.severitycolor(c.highest_severity)}">${c.highest_severity}</td>
  </tr>
 </table>
</%self:box>

<%self:box title="${_('Visit Details')}">
 <h3>${_(u"Configuration")}</h3>
 <table>
  <tr>
    <td class="label">${_(u"Name")}:</td>
    <td>${h.link_to(c.sc.name, h.url_for(controller='scan',action='view',id=c.sc.id))},
        ${_(u"started on")} ${h.link_to(c.visit.scan_run.starttime.strftime(_("%Y-%m-%d %H:%M:%S")), h.url_for(controller='result',action='by_scanrun',id=c.visit.scan_run.id))}</td>
  </tr>
  <tr>
    <td class="label">${_(u"Node")}:</td>
    <td>${name_link_to_node(c.visit.node)}</td>
  </tr>
  <tr>
    <td class="label">${_(u"Active Window")}:</td>
    <td>${abs(c.sc.visitor_configuration.active_window)} ${_(u"seconds")}</td>
  </tr>
  <tr>
    <td class="label">${_(u"Fast Mode")}:</td>
    <td>
      %if c.sc.visitor_configuration.num_urls > 1:
          ${_(u"Yes, with %d pages") % c.sc.visitor_configuration.num_urls}
      %else:
          ${_(u"No")}
      %endif
    </td>
  </tr>
 </table>

 <h3>${_(u"Findings")}</h3>
  <%util:ifpaginate paginator="${c.result_paginator}">
   <table class="mw_table" style="width:100%">
    <tr>
     <th>${h.link_to(_(u"Type"), h.url_for(controller="result",
                                           action="view_visit",
                                           id=c.visit.id,
                                           dst="typ"))}</th>
     <th>${h.link_to(_(u"URL"), h.url_for(controller="result",
                                          action="view_visit",
                                          id=c.visit.id,
                                          dst="url"))}</th>
     <th>${h.link_to(_(u"Time"), h.url_for(controller="result",
                                           action="view_visit",
                                           id=c.visit.id,
                                           dst="dat"))}</th>
     <th>${h.link_to(_(u"Severity"), h.url_for(controller="result",
                                               action="view_visit",
                                               id=c.visit.id,
                                               dst="sev"))}</th>
    </tr>
     %for result in c.result_paginator:
      <tr>
        <td>${h.result_type_to_localized_name(result.result_type)}</td>
        <td>
            ${h.link_to(h.url_short(result.url), h.url_for(controller='result',
                                              action='view_result',
                                              id=result.id))}
        </td>
        <td>${result.date.strftime(_("%Y-%m-%d %H:%M:%S"))}</td>
        <td style="background-color:${h.resultcolor(result)}">
            ${result.result_type.severity}
        </td>
      </tr>
     %endfor
   </table>
   <%def name="empty()">
     ${_(u"No Findings")}
   </%def>
  </%util:ifpaginate>
</%self:box>

%if c.screendump[0]:
 <%self:box title="${_(u'Screendump')}">
  <ul>
   <div class="screenshot">
       %if c.screendump[0] != hcsid:
            <div class="screenshot-otherhc">
          %else:
            <div class="screenshot-realhc">
          %endif
          <a href="${c.screendump[1]}">
          <img src='${c.screendump[1]}'></a>
          </div>
          <div class="screenshot-text">
          %if c.screendump[0] != hcsid:
           ${_(u"Captured by:")} ${c.screendump[0]} <br/>
          %endif
          </div>
      </div>
  </ul>
 </%self:box>
%endif

%if c.visit.filepath:
 <%self:box title="${_(u'Actions')}">
  <ul>
    <li>${h.link_to(_(u"Download PCAP"),
          h.url_for(controller='result',action='send_dump', id=c.visit.id)) }</li>
    <li> ${h.link_to(_(u"Download Tarball"),
           h.url_for(controller='result',action='send_tarball',id=c.visit.id))}</li>
  </ul>
 </%self:box>
%endif
