<%inherit file="../base.mako"/>
<%def name="title()">${_(u"New Standard Scan")}</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="name_link_to_node" />

<%self:box title='${_(u"New Standard Scan")}'>
 ${h.form(h.url_for(controller='scan', action='new'))}

 <h3>${_(u"General")}</h3>
 <table>
   ${h.field(_(u"Name")+"*", h.text(name='name',id="name"))}
   ${h.field(_(u"Comment"), h.text(name='comment',id="comment"))}
 </table>

 <h3>${_(u"URL Lists")}*</h3>
 ${h.field(h.select('urllist',
                     id='urllist',
                     selected_values=[],
                     options=sorted(c.available_urllists, key=lambda x: x[1],
                        cmp=lambda x,y: cmp(x.lower(), y.lower())),
                     multiple=True,
                     size=10))}
 <br/>

 <h3>${_(u"HoneyClients")}*</h3>
 <table class="mw_table" style="width:100%;">
   <tr>
       <th>${_(u"Number")}</th>
       <th>${_(u"Name")} / ${_(u"ID")}</th>
       <th>${_(u"Description")}</th>
       <th>${_(u"On Node")}</th>
   </tr>
 <% c.hcs = sorted(c.hcs, key=lambda hc: hc.name) %>
 %for hc in c.hcs:
   %for node in hc.on_nodes:
    <tr>
       <td>${h.text(name="hc%s,%s" % (hc.hcsid, node), size=3, maxlength="3", value="0")}</td>
       <td>${hc.name}<br/>${hcsid_link_to_hcsid(hc.hcsid)}</td>
       <td>${hc.description}</td>
       <td>${name_link_to_node(node)}</td>
    </tr>
   %endfor
 %endfor
 </table>

<h3>${_(u"Options")}</h3>
<table>
  <tr>
    <td class="label">${_(u"Active Time Frame")}*:</td>
    <td>${h.select('active_window',id='active_window',selected_values=[40],options=[20,30,40,60,90,120,180,240,300])} ${_(u"seconds")}</td>
  </tr>
  <tr>
    <td class="label">${h.checkbox(name="fastscan",id="fastscan")}${_(u"Use Fast Scan with")}:</td>
    <td>${h.select(name='num_urls',id='num_urls',selected_values=[],options=[2,3,4,5])} ${_(u"URLs per HC")}</td>
  </tr>
  <tr>
    <td class="label">${h.checkbox(name="enable_vnc",id="enable_vnc")}${_(u"Enable VNC")}</td>
    <td></td>
  </tr>
  <tr>
    <td class="label">${_(u"Key Events")}:</td>
    <td>${h.text('eventmap')}</td>
  </tr>
  <tr>
    <td><br/>${h.submit(name="button", value=_(u"Create Scan"))}</td>
    <td/>
  </tr>
</table>
 ${h.end_form()}
</%self:box>

