<%inherit file="../base.mako"/>
<%def name="title()">Scans</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="cut_str" />

<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%doc>
%if c.current_scan_name and c.current_scan_name != '':
${box_start(_(u"Information about current scan"))}
 <table>
  <tr><td>${_(u"Running since")}</td><td></td><td>${_(u"Name")}</td><td>${c.current_scan_name}</td></tr>
 </table>
${box_end()}
%endif
</%doc>

<%self:box title='${_(u"New Scan")}'>
  <ul>
   <li>${h.link_to(_(u'Standard Scan'), h.url_for(controller='scan', action='create'))}</li>
   <li>${h.link_to(_(u"Quick Scan"), h.url_for(controller='scan', action='create_quickscan'))}</li>
   <li>${h.link_to(_(u"Manual Scan"), h.url_for(controller='scan', action='create_manualscan'))}</li>
   %if len(c.native_hcs):
    <li>${h.link_to(_(u'Time Scan'), h.url_for(controller='scan', action='timedscan'))}</li>
    %endif
 </ul>
</%self:box>

<%self:box title='${_(u"List of Scans")}'>
 <%util:ifpaginate paginator="${c.scanconfigurations_paginator}">
  <table class="mw_table" style="width:100%">
    <tr>
      <th>${_(u"Name")}</th>
      <th>${_("Comment")}</th>
      <th>${_(u"URL Lists")}</th>
      <th>${_(u"# of HCs")}</th>
    </tr>
   %for sc in c.scanconfigurations_paginator:
    <tr>
      <td>${h.link_to(sc.name, h.url_for(controller='scan',action='view',id=sc.id))}</td>
      <td>${cut_str(sc.comment, 40)}</td>
      <td>
       <%
       scul_str = []
       tot_urls = 0
       for urllist in sc.urlcollection:
           listlink = h.link_to(urllist.name,
                                h.url_for(controller='urllist',action='view',
                                          id=urllist.id))
           scul_str.append(listlink)
           tot_urls += urllist.numurls
       sculs = ", ".join(scul_str)
       context.write(sculs)
       %> (${_(u"%d URLs") % tot_urls})
       %if sc.name == c.current_scan_name:
         [${_("Running")} -
          ${h.link_to(_(u"Stop Scan"), h.url_for(controller='scan',action='stop_smooth'))} -
          ${h.link_to(_(u"Abort Scan"), h.url_for(controller='scan',action='stop'))}
         ]
       %endif
      </td>
      <td style="text-align:right;">
          <%
          vn = 0
          for vs in sc.visitor_configuration.visitors:
              vn += vs.number
          %>${vn}</td>
    </tr>
   %endfor
  </table>
 <%def name="empty()">
   ${_(u"No Scan Configurations yet defined.")}
 </%def>
 </%util:ifpaginate>
</%self:box>

<%doc>
<%self:box title='${_(u"Quick Scan")}'>
 ${h.form(h.url_for(controller='scan', action='quickscan'), method="post")}
 <table>
   <tr>
     <td class="label">${_(u"URL")}*:</td>
     <td>${h.text(name="quickurl", id="quickurl")}</td>
   </tr>
   <tr>
     <td class="label">${_(u"HoneyClient")}:</td>
     <td>${h.select('vm', selected_values=[],
                   options=sorted(c.available_vms, key=lambda x: x[1],
                   cmp=lambda x,y: cmp(x.lower(), y.lower())),
                   multiple=False,
                   size=1)}
     </td>
   <tr>
     <td></td>
     <td>${h.submit(name="quickbutton",value=_(u"Start Quick Scan"))}</td>
   </tr>
 </table>
 ${h.form_end()}
</%self:box>
</%doc>

