<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View Scan")}</%def>
<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="name_link_to_urllist" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="name_link_to_node" />
<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%self:box title = "${_(u'Scan Configuration')}">
<h3>${_(u"General")}</h3>
<table>
  <tr><td class="label">${_(u"Name")}:</td><td>${c.scanconfig.name}</td></tr>
  <tr><td class="label">${_(u"Comment")}:</td><td>${c.scanconfig.comment}</td></tr>
</table>

<h3>${_(u"URL-Lists")}</h3>
 <%util:ifpaginate paginator='${c.urllist_paginator}'>
 <ul>
  %for urllist in c.urllist_paginator:
   <li>${name_link_to_urllist(urllist)} ${_(u"with %d URLs" % urllist.numurls)}
       %if urllist.numurls < 3:
       ${"(%s)" % ", ".join([url.url for url in urllist.urls])}
       %endif
   </li>
  %endfor
 </ul>
 <%def name="empty()">
  ${_(u"No URL-Lists.")}
 </%def>
 </%util:ifpaginate>

<h3>${_(u"HCs")}</h3>
<table width="100%" class="mw_table">
  <tr><th>${_(u"hcsid")}</th>
      <th>${_(u"Number")}</th>
      <th>${_(u"Description")}</th>
      <th>${_(u"On Node")}</th>
  </tr>
  %for hc in c.scanconfig.visitor_configuration.visitors:
  <tr><td>${hcsid_link_to_hcsid(hc.hcsid)}</td>
      <td>${hc.number}</td>
      <td>
         %if c.hcs.get(hc.hcsid):
          ${c.hcs.get(hc.hcsid).description}
         %endif
      </td>
      <td>${name_link_to_node(hc.node)}</td>
  </tr>
  %endfor
</table>

<h3>${_(u"Options")}</h3>
<table>
  %if c.scanconfig.visitor_configuration.num_urls > 1:
    <tr>
      <td class="label">${_(u"Fast Scan")}:</td>
      <td>${_(u"Yes, %d URLs at once.") % c.scanconfig.visitor_configuration.num_urls}</td>
    </tr>
  %endif
    <tr>
      <td class="label">${_(u"VNC enabled")}:</td>
      %if c.scanconfig.enable_vnc == True:
        <td>${_(u"Yes")}</td>
      %else:
        <td>${_(u"No")}</td>
      %endif
    </tr>
  %if c.scanconfig.visitor_configuration.active_window > 0:
  <tr>
    <td class="label">${_(u"Active Window")}:</td>
    <td>${c.scanconfig.visitor_configuration.active_window} ${_(u"seconds")}</td>
  </tr>
  %else:
  <tr>
    <td class="label">${_(u"Time Frame")}:</td>
    <td>${abs(c.scanconfig.visitor_configuration.active_window)} ${_(u"seconds")}</td>
  </tr>

  %endif
  %if c.scanconfig.visitor_configuration.eventmap:
  <tr>
    <td class="label" valign="top">${_(u"Key Events")}:</td>
    <td>
    %for (etime, eevent) in c.eventmap:
    ${_(u"After %d seconds press %s.") % (etime, eevent)}<br>
    %endfor
    </td>
  </tr>
  %endif
</table>

<h3>${_(u"Actions")}</h3>
 %if c.master_state.get('scanname') != c.scanconfig.name and c.scanconfig.name != "QuickScan":
   [${h.link_to(_(u"Delete"), h.url_for(controller='scan', action='delete', id=c.scanconfig.id))}]
 %endif
 %if c.master_state.get('scanname') == c.scanconfig.name:
   [${h.link_to(_(u"Abort"), h.url_for(controller='scan', action='stop'))}]
   [${h.link_to(_(u"Stop"), h.url_for(controller='scan', action='stop_smooth'))}]
 %endif
 %if not c.master_state.get('scanname'):
   [${h.link_to(_(u"Start"), h.url_for(controller='scan', action='start', id=c.scanconfig.id))}]
 %endif
</%self:box>

<%self:box title = "${_('Scan History')}">
 <%util:ifpaginate paginator="${c.scanrun_paginator}">
  <table width="100%" class="mw_table">
   <tr>
    <th>${_(u"State")}</th>
    <th>${_(u"Started")}</th>
    <th>${_(u"Ended")}</th>
    <th>${_(u"Duration")}</th>
    <th>${_(u"Actions")}</th>
   </tr>
   %for sr in c.scanrun_paginator:
   <tr>
    <td>${sr.status}</td>
    <td>${sr.starttime.strftime(_("%Y-%m-%d %H:%M:%S"))}</td>
    <td>
        %if sr.stoptime:
            ${sr.stoptime.strftime(_("%Y-%m-%d %H:%M:%S"))}
        %else:
            ${_(u"n/a")}
        %endif
    </td>
    <td>
        %if sr.stoptime:
          <%
          import time
          durs = time.strftime(_("%H:%M"), time.gmtime((sr.stoptime - sr.starttime).seconds))
          context.write(_("%sh") % durs)
          %>
        %else:
          ${_(u"n/a")}
        %endif
    </td>
    <td>${h.link_to(_("View"), h.url_for(controller="result",action="by_scanrun",id=sr.id))}</td>
   </tr>
   %endfor
  </table>
 <%def name="empty()">
  ${_("This Scan Configuration has not yet been used.")}
 </%def>
 </%util:ifpaginate>
</%self:box>

