<%inherit file="../base.mako"/>
<%def name="title()">${_(u"System State")}</%def>

<%def name="state_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="name_link_to_node" />
<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="column50" />
<%namespace file="../base.mako" import="columnsection" />
<%namespace file="../base.mako" import="start_leftindent_hl_list"/>
<%namespace file="../base.mako" import="end_leftindent_hl_list"/>

<%self:box title="${_(u'System Overview')}">
 <div>

<%self:column50>
<h2>${_(u"Current Scan")}</h2>
<%self:columnsection_dashed>
<ul>
  <li>${_(u"Master is: %s") % c.masterproxy_state_set.get('master')}
      %if c.current_scan:
        (${h.link_to(c.current_scan,
            h.url_for(controller='scan', action='view', id=c.current_scan_id))})
        (${h.link_to(_(u"Stop"), h.url_for(controller='scan',action='stop_smooth'))})
        (${h.link_to(_(u"Abort Now"), h.url_for(controller='scan',action='stop'))})
      %endif
  </li>
</ul>
</%self:columnsection_dashed>

<h2>${_(u"State of Nodes")}</h2>
<%self:columnsection_dashed>
<ul>
 %if c.nodestates and len(c.nodestates):
    %for nodename,state in c.nodestates.items():
    <li>
      ${name_link_to_node(nodename)}:
       %if state:
        ${state.get('')}
       %else:
       ${_(u"unreachable")}
       %endif

       %if c.hasvncs:
         <br/>
         %for [hc,vncport] in state.get('runlist'):
           ${hc}: ${_(u"VNC ")} ${vncport}<br/>
         %endfor
       %endif
    </li>
    %endfor
 %else:
   <li>${_(u"No nodes added to mapwoc-cluster.")}</li>
 %endif
</ul>
</%self:columnsection_dashed>

<%doc>
<h2>${_(u"Activity of Nodes")}</h2>
<table>
  <tr><th>${_(u"Name")}</th><th>${_(u"Address")}</th><th>${_(u"State")}</th></tr>
  %for nodekey in c.node_conf_parser.sections():
    <tr>
      <td>${h.link_to(c.node_conf_parser.get(nodekey, 'name'), h.url_for(controller='node',action='view',id=nodekey))}</td>
      <td>${c.node_conf_parser.get(nodekey, 'ip')}:${c.node_conf_parser.get(nodekey, 'port')}</td>
      <td>${c.nodestates[nodekey]}</td></tr>
  %endfor
</table>
</%doc>

</%self:column50>

<%self:column50>
 <h2>${_(u"State of Redirector")}</h2>
  <%self:columnsection>

  <h3>${_(u"State")}</h3>
  ${c.redirectorstate}

  <h3>${_(u"Last served URLs")}</h3>
  ${start_leftindent_hl_list()}
  %if len(c.redirector_last_urls) >0:
   <ul>
   %for idx,rv in enumerate(c.redirector_last_urls):
    <li>
      %if c.redirector_last_urls_screens[idx] and c.redirector_last_urls_screens[idx][0] :
      <div class="screenshot">
          %if c.redirector_last_urls_screens[idx][0] != rv.hcsid:
            <div class="screenshot-otherhc">
          %else:
            <div class="screenshot-realhc">
          %endif
          <a href="${c.redirector_last_urls_screens[idx][1]}">
          <img src='${c.redirector_last_urls_screens[idx][1]}'></a>
          </div>
          <div class="screenshot-text">
            ${rv.hcsid}
          <img src="/img/arrow_right.png" alt="&rarr;" />
            ${h.link_to(rv.url, h.url_for(controller='result',action='by_url',id=c.redirector_last_urls_ids[idx]))}
          <br/>
          <div class="screenshot-footnote">
            %if c.redirector_last_urls_screens[idx][0] != rv.hcsid:
             ${_(u"Captured by:")} ${c.redirector_last_urls_screens[idx][0]} <br/>
            %endif
             ${_(u"Time:")} <%
                    import datetime
                    visit_timestamp = datetime.datetime.fromtimestamp(float(rv.date))
                    context.write(visit_timestamp.strftime(_("%H:%M:%S")))
                %>
          </div>
          </div>
      </div>
      %endif
     <br />
    </li>
   %endfor
   </ul>
  %else:
   ${_(u"No URLs served since last loading of URL-List.")}
  %endif
  ${end_leftindent_hl_list()}

  <h3>${_(u"Next URLs")}</h3>
  ${start_leftindent_hl_list()}
  %if len(c.redirector_next_urls) > 0:
   <ul>
   %for [url, screendump] in c.redirector_next_urls:
    <li>
     %if screendump:
      <div class="screenshot">
        <div class="screenshot-archive">
          <a href="${h.url_for(controller="url", action="screendump", id=url.id, hcsid="unset")}">
          <img width="120" height="90" src='${h.url_for(controller="url", action="screendump", id=url.id, hcsid="unset")}'/>
          </a>
        </div>
       <div class="screenshot-text-archive">
     %endif
        ${h.link_to(url.url, h.url_for(controller='result',action='by_url',id=url.id))}
     %if screendump:
          <div class="screenshot-footnote">
            ${_(u"Archive Picture")}
          </div>
        </div>
       </div>
      %endif
    </li>
   %endfor
   </ul>
  %else:
   ${_(u"Redirector has no URLs to serve next.")}
  %endif
  ${end_leftindent_hl_list()}
  
  </%self:columnsection>
 </%self:column50>
 </div>
 <br clear="all" />
</%self:box>
